=== debian/control ===
Source: ros-iron-rosidl-generator-cpp
Section: misc
Priority: optional
Maintainer: Aditya Pande <aditya.pande@openrobotics.org>
Build-Depends: debhelper (>= 9.0.0), ros-iron-ament-cmake, ros-iron-ament-lint-auto <!nocheck>, ros-iron-ament-lint-common <!nocheck>, ros-iron-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-iron-rosidl-generator-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python3-dev, ros-iron-ament-cmake-core, ros-iron-ament-index-python, ros-iron-rosidl-cli, ros-iron-rosidl-generator-c, ros-iron-rosidl-generator-type-description, ros-iron-rosidl-parser, ros-iron-rosidl-pycommon, ros-iron-rosidl-runtime-cpp, ros-iron-ros-workspace
Description: Generate the ROS interfaces in C++.
